package metrics;

import java.io.File;
import java.util.concurrent.TimeUnit;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.*;
import com.netflix.servo.publish.*;

@SpringBootApplication
public class Main {

	public static void main(String[] args) {
		SpringApplication.run(Main.class, args);
	}

	@javax.annotation.PostConstruct
	void startPublishers() {
		File dir = new File("build");
		MetricObserver mo = new FileMetricObserver("jvm", dir);
		PollScheduler.getInstance().start();

		MetricPoller poller = new JvmMetricPoller();
		MetricFilter mf = BasicMetricFilter.MATCH_ALL;
		PollRunnable pr = new PollRunnable(poller, mf, mo);
		PollScheduler ps = PollScheduler.getInstance();
		ps.addPoller(pr, 60, TimeUnit.SECONDS);
	}
}
