package metrics;

import org.springframework.web.bind.annotation.*;
import com.netflix.servo.monitor.*;

@RestController
public class TimerController {

	final BasicTimer lap = new BasicTimer(MonitorConfig.builder("lap").build());

	public TimerController() {
		Monitors.registerObject(this);
	}

	@RequestMapping("/timer")
	public String index() throws Exception {
		Stopwatch s = lap.start();
		try {
			Thread.sleep(10);
			return "time " + lap.getTotalTime();
		} finally {
			s.stop();
		}
	}
}
